This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457635 - gtk will not pick up right im module in kde desktop session
gtk will not pick up right im module in kde desktop session
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
: 459889 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 22:24 EDT by Peng Huang
Modified: 2009-06-30 01:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 01:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-01 22:24:45 EDT
Description of problem:
gtk will not pick up right im module in kde desktop session

Version-Release number of selected component (if applicable):
im-chooser-1.2.0-1.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. use im-chooser to choice scim
2. logout
3. login kde desktop session
4. run gnome-terminal
5. use scim input something
  
Actual results:
gnome-terminal choice xim im module as input module.

Expected results:
gnome-terminal should choice scim or scim-bridge as input module.


Additional info:
Comment 1 Akira TAGOH 2008-08-03 21:17:44 EDT
This is a well-known issue and imsettings doesn't support KDE desktop so far. on rawhide, that works if you do run im-xsettings-daemon manually, FYI.
Comment 2 Akira TAGOH 2008-08-25 00:44:28 EDT
*** Bug 459889 has been marked as a duplicate of this bug. ***
Comment 3 Jens Petersen 2008-09-16 04:29:19 EDT
Do you have a plan how to fix this?
Comment 4 Jens Petersen 2008-09-16 04:50:41 EDT
(Unfortunately I can't get KDE to run on rawhide yet.)
Comment 5 Akira TAGOH 2008-09-17 04:54:41 EDT
As KDE does support XDG's autostart mechanism, next release would fixes this issue. imsettings-applet is being bringing up through autostart and it will create an instance of XSETTINGS manager as needed. i.e. it will do when no other XSETTINGS manager is running.
Comment 6 Akira TAGOH 2008-09-19 01:20:33 EDT
Fixed in imsettings-0.104.0-1.fc10.
Comment 7 Akira TAGOH 2008-10-20 01:59:43 EDT
back to ASSIGNED. it may be still not a time to backport the fix to F-9. need more feedbacks overall.
Comment 8 Bug Zapper 2009-06-09 22:21:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jens Petersen 2009-06-24 04:54:58 EDT
So is this fixed in a later Fedora release?
Comment 10 Akira TAGOH 2009-06-24 05:02:32 EDT
I should update..

XSETTINGS support in imsettings are obsoletes. only limited features are available for KDE on F-11 now. i.e. need to restart applying any changes on imsettings/im-chooser. that behaviour would works for the above test case though. in that sense, yes, it will.
Comment 11 Jens Petersen 2009-06-24 05:15:38 EDT
My main concern here is that this is filed against F9, so either we close it or move to newer Fedora version... :)

Note You need to log in before you can comment on or make changes to this bug.